#
# spec file for package libreoffice-templates-ru
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libreoffice-templates-ru
License:        LGPL-3.0
Group:          Productivity/Office/Suite
AutoReqProv:    on
Provides:       locale(libreoffice:ru) locale(OpenOffice_org:ru)
# compat stuff
Provides:       OpenOffice_org-templates-ru = %version
Obsoletes:      OpenOffice_org-templates-ru <= %version
Version:        3.3
Release:        18.1
Summary:        Russian Templates for LibreOffice
Source0:        ooo-templates-ru-3.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A collection of Russian templates for LibreOffice.
Collected by EGD <egd dot free at gmail dot com>

%prep
%setup -q -n ooo-templates-ru-3

%build

%install
install -m 755 -d $RPM_BUILD_ROOT/usr/share/templates/libreoffice/ru
cp -a templates/*  $RPM_BUILD_ROOT/usr/share/templates/libreoffice/ru
# compat stuff
install -m 755 -d $RPM_BUILD_ROOT/usr/share/templates/ooo/
for dir in `find $RPM_BUILD_ROOT/usr/share/templates/libreoffice/ -type d -printf "%%P \n"` ; do
    echo "~$RPM_BUILD_ROOT/usr/share/templates/ooo/$dir~"
    mkdir -p $RPM_BUILD_ROOT/usr/share/templates/ooo/$dir
done
for file in `find $RPM_BUILD_ROOT/usr/share/templates/libreoffice/ -type f -printf "%%P "` ; do
    ln -sf /usr/share/templates/libreoffice/$file $RPM_BUILD_ROOT/usr/share/templates/ooo/$file
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README.txt lgpl-3.0.txt
/usr/share/templates/

%changelog
* Fri Feb 18 2011 pmladek@suse.cz
- bumped version to make sure that it is considered as a replacement
  of the older package
* Thu Feb  3 2011 pmladek@suse.cz
- renamed from OpenOffice_org-templates-ru to libreoffice-templates-ru
- added provides locale(libreoffice:ru) to make it installed
  with libreoffice (bnc#668145)
- installed files into /usr/share/templates/libreoffice
- added compat symlinks into the older location /usr/share/templates/ooo
* Thu Aug  6 2009 pmladek@suse.cz
- updated to the version 3
  * cleaned up the selection of templates
  * updated license to LGPLv3
* Thu Jun 18 2009 pmladek@suse.cz
- removed the macros; they must be installed another way
* Fri May 22 2009 pmladek@suse.cz
- fixed installation to find the templates
* Fri May 22 2009 pmladek@suse.cz
- package created, version 1
